                            CardShark Bridge Tutor
                          Copyright 1993 Nelson Ford


Copyright Use & Distribution License:

This license covers ONLY the CardShark Bridge Tutor program and Level I course
files. Level II and higher course files and any bonus course files may not be
copied except for personal use and backup by the original licensee.

You should have received this program free from a friend or BBS or for a
low fee through a shareware disk vendor for evaluation purposes only. You
may use the program for a reasonable evaluation period. Payment to the
author of the program is required for use beyond simple evaluation. See the
order form at the end of this file.

This program may be copied for others to try, so long as no changes are
made to the program nor any of the accompanying files, including this one,
and ONLY if you write to the author for permission. Vendors who are current
members in good standing of the Association of Shareware Professionals must
still notify the author that you are distributing the program, but you do
not have to wait for permission to begin distribution.

VENDORS and BBS's must agree to stop distributing this program when requested
or automatically if your membership in A.S.P. is dropped for any reason.

CSBT is written in Visual Basic. The Visual Basic runtime module,
VBRUN100.DLL, is Copyright by Microsoft Corp.

CARDSHARK BRIDGE TUTOR, CARDSHARK HEARTS and the CARDSHARK card game name
prefix are trademarks of Nelson Ford, PsL.


Overview:

The CardShark Bridge Tutor (CSBT) is a program that can read and display CSBT
course files.

Level I is made up of 5 courses, 4 on bidding and 1 on play.

Level I courses assume that the user knows nothing about the game of bridge.
When defining terms and concepts, every effort has been made not to use any
other terms and concepts that have not already been defined.

The goal of Level I is for the user to learn enough about the game to be able
to play socially with other novice to intermediate level players.

The courses are -

L1-BID1.CSC - Introduction to Bridge; Opening Bids
L1-BID2.CSC - Responding to Opening Bids
L1-BID3.CSC - Rebids In Non-Competitive Bidding
L1-BID4.CSC - Competitive Bidding
L1-PLAY.CSC - Basic Declarer Play and Defense

Each course is divided into lessons with frequent review questions to
reinforce learning.

Level II courses and above are not shareware and may be purchased only from
the author using the order form included with these files.


Registration:

The Level I registration fee of $25 is for more than the Level I courses. It
is also for the CardShark Bridge Tutor program, for which many more courses
are available, with more to be developed in the future.

The CSBT program is similar to the mechanical AutoBridge device which costs
over $30, but CSBT is much more flexible.

In addition, CSBT lets you write your own course files. You could, for
example, write a course for your own bidding system for review or for training
a new partner.


Installation:

To install, simply create a directory for the files in this set and copy the
files into the directory.

You can run the program using File Manager or using Program Manager's Alt-F &
Run menu selections.

You can add the program to Program Manager using the Alt-F menu options.

The program requires VBRUN100.DLL, the Visual Basic runtime module. Because of
the large size of that file and because it is widely available by itself,
VBRUN may not have been included with this program.

If you cannot find a source for VBRUN100.DLL, you may get it on disk for $5
from the address or phone numbers on the order form.


Running CSBT:

After starting CSBT, click the button to load a course.

The lessons in the course will be displayed.

You can start with the first lesson and work through other lessons, or you can
select lessons individually.

The CSBT program itself is pretty simple to use. If you do need any kind of
assistance, call the technical support number shown on the order form.


Answering Questions:

When entering answers to questions, use the following abbreviations to help
assure that your answers will match the program's:

For suits, use the first letter. (C, D, H, S). Use NT for notrump.

Use Dbl and Rdbl for Double and Redouble.

For bids, do not leave spaces between the number and the suit. (eg: 1NT, 2S)
Enter "P" for "Pass".

For cards, use one-letter: A, K, Q, J, T, 9... etc.

For cards and suits, omit spaces: AS = Ace of Spaces. TD = Ten of Diamonds.

For a range of points, use the format: "6-9".

For an open ended range: "10+".

Less than some number: "<10".

For Yes/No questions, use the first letter (y or n).

Case does not matter. "Y" is the same as "y".

If you feel sure you have entered the right answer but the computer tells you
to try again, just click continue.

*******************************************************************************
*******************************************************************************

[If you are not interested in creating your own bridge training course files,
 you can skip the rest of this file up to the (ahem) Order Form.]


Making Your Own Course Files:

If you are an experienced bridge player, you may wish to make customized
course files for CSBT, you can easily do so with any editor that can save in
straight text ("ASCII").

You might wish to make up a course to cover your own bidding system and give
it to a new partner or use it for reviewing yourself.

Please remember that CSBT is copyrighted and that if you give a copy to
someone to use (as opposed to passing it along for someone to try out), either
you or the recipient must pay the license fee of $25 for the program.

However, you MAY distribute courses for CSBT without the program itself
without any kind of license fee, but you must clearly identify at the start of
the course that you have written the course file and that you have no
connection with the author of CSBT.

If you want to distribute a large number of copies of the CSBT program with
your own course(s), call or write for a volume license agreement.

Versions of CSBT are available both for Windows and for DOS.

*********************
Course File Structure:
*********************

The following is the simple structure used to create course files:

1st line: Title
2nd line: Blank
3rd line: Start of the Index

The Index section ends with a line containing two slashes ("//") followed by a
blank line and then the line with the first lesson title matching exactly the
title line in the Index, except that it must end with a colon.

You do not HAVE to have an index entry for every lesson if you do not wish to.
The user can get to such lessons by clicking Continue when in a prior lesson.

A lesson can extend over several screens. A large font is intentionally used
so that the user is shown only small chunks of information at a time. This
should make it easier to read, comprehend and remember the information.

To indicate the end of a screen full of data, put a line with "//" on it
followed by a blank line.

When CSBT hits a line with "//", it looks forward two lines to see if that
line ends with a colon. If it does, it assumes that the line is a new lesson
title and displays "<End of [current lesson name]>" at the bottom of the
current screen; otherwise, it displays "<continued>" at the bottom of the
screen.

Because of the proportional font used by Windows, there is no way to know how
much data you can get on a screen, nor (due to the limitation of the
programming tools used) is there any way for the program to detect when the
screen is full.

Therefore, you have to experiment. With CSBT in one window and a text editor
in another window, you can go back and forth between the two to make sure that
everything fits as it should. You have to reload the course every time you
make a change in the editor.

The course must end with "//" on one line followed by a blank line followed by
a line with "[End]" on it.

***************
Displaying Bids:
***************

To enter a bidding sequence, the structure is as follows (in this example, the
bidding starts with South):

[Bid,S]
1S
Pass
2H
Pass
???
..

Put N, S, E, or W after the comma in the Bid line to indicate the starting
hand. If you are quizzing the user, put "???" to indicate the position they
are supposed to bid.

To add a bid to a previous sequence, put a "+" in place of the comma:

[Bid+S]
2NT
Pass
3NT
Pass
???
..

The above sequence will be added to the previous one with "2NT" replacing
"???" in the previous sequence.

End the bidding sequence with a blank line. If you are using a text editor
that will save a line with blank spaces on it, be sure to delete the spaces.
There must be nothing on the line.

****************
Displaying Hands:
****************

You can display one or more hands of cards by indicating on the first line
which position it is (eg: "[N]") followed by Spades on the first line, then
Hearts, Diamonds, and Clubs. For a void, put a dash ("-").

A blank line terminates the hand for that position. If you forget to put a
blank line, it will mess up the program and/or the display. No permanent harm
is done, but you may have to restart the program.

To display only a Spade suit, you can put:

[S]
A K x x x

However, to display only a Heart suit, you must put a dash for the Spade suit:

[W]
-
J T x

******************
Erasing Bids/Hands:
******************

To erase a previous display of hands and bids, put "[Erase]" on a line by
itself.

Do not leave a blank line after an "[Erase]" unless you want an extra blank
line to display. (You do not have to put Erase to clear the previous text,
just the hands and bids.)

Do not put [Erase] (or anything else) before a lesson title line. All lesson
title lines must be preceded by a blank line and before that, a line with "//"
on it.

At the end of each lesson in the course, the previous bids and hands are
automatically erased.

If you do NOT put an "[Erase]" line and if not at the end of a lesson, any new
display information will replace the same field of a previous display (eg:
[Bid] or [N]) but leave other fields alone.

In other words, if you want to add North's cards to a display of South's
cards, just put "[N]" followed by the cards as previously described.

To add a bid to North's already displayed sequence, put "[Bid+N]" and the bid
on the next line. For South, put +S instead of +N, etc. If the last entry for
the specified hand was "???", the question marks will be replaced by the new
bid; otherwise, the new bid will be added on.

************************
Displaying Vulnerability:
************************

To display vulnerability, add a line with "[Vul]" followed by a line with
"Neither", "Both", "E-W", or "N-S". Do not leave a blank line after these
lines unless you want an extra blank line to be displayed.

**********************
Using Multiple Screens:
**********************

Each screen of text is delimited by a line with "//". A lesson can span
multiple screens.

If you display a hand on one screen and refer to it on a following screen, the
hand will not be displayed if the user is using the "Go Back" button to bring
up the second screen from a later screen.

To get around this problem, put a "[+]" at the start of the second screen.
When Go Back sees this, it will continue going back until it reaches a screen
without the "[+]".

CSBT normally displays everything between two delimiting lines at once. In
other words, it doesn't matter whether you place bids and hands before or
after the text, it will all appear on screen at once, with one exception.

********
Graphics:
********

You can display small BMP graphic files by entering [BMP:filename] on a line
by itself.

CSBT expects the BMP file to be in the same directory as the course files.

CSBT will replace the bidding window with a graphics window with the named
graphic in it. The graphics window will adjust itself to the size of the
graphic.

In Paintshop, you should set the image size to no more than about 1.75"
square.

When you no longer want the image displayed and want to get the bidding box
back, enter a line with [BMP:DONE] on it.

***************************
Question & Answer Structure:
***************************

If you have Question and Answer lines, the program will pause until Continue
is clicked before printing the answer (and the rest of the screen). So if a
hand or bid is entered after an answer, it will not be displayed until the
answer is clicked.

You can have more than one Question and Answer on a screen and CSBT will pause
before each answer.

The format for Questions and Answers is to start the Question line with "Q:"
and the answer line with "A:". The text of the questions and answers may be as
long as you wish.

However, you should make the key part of the answer as brief as possible to
help insure that the user's answer will match it if correct.

For example, you will notice in the courses that come with CSBT, answers are
usually something like "H." or "1S." or "Y.", etc. Note that the answer must
end with a period. You can put as much text as you want after the period. The
user's answer is only compared to the text up to the period.

If you have more complex answers, you should make them multiple choice so that
the user only has to enter one letter or number. For example you could say:

Q: Which suit do you normally lead from against Notrump? (Enter "1" or "2".)

   1 - Shortest and weakest.
   2 - Longest and strongest.

A: 1.


Load L1-BID4.CSC (or one of the other files) into a text editor to see all of
the above implemented.





                    CardShark Bridge Tutor(tm)  Order Form
                    ======================================

        Date: ____/____/____

        (PLEASE PRINT:)

        Name: _______________________________________________________

        Address: ____________________________________________________
        _____________________________________________________________
        _____________________________________________________________
        _____________________________________________________________

        To Register:
        ===========
          License Fee for 1 copy of CardShark Bridge Tutor
            Level I  @ $25.00 ...............................  ______

          License Fee for 1 copy of Level II @ $25 ..........  ______

          Combined license for Level I and II @ $39.95 ......  ______

        To Get Shareware Disks Only:
        ===========================
          Shareware copy of latest Level I @ $5.00 ..........  ______
          Shareware copy of CardShark Hearts @ $5.00 ........  ______

        Shipping & Handling on all orders....................    4.00

        Sales tax @ 8.25%, if shipped in Texas ..............  ______

                Total .......................................  ______

        Disk size preferred: __ 5.25"   __ 3.5" (1.44MB)

        Method of Payment: __Check/M.O. __Amex __MC __Visa __Discover

        Credit Card Information:  (PLEASE PRINT)    Expir.: ____/____

        Name on Card: __________________________  #: ________________

        Cardholder's Signature: _____________________________________

        Where did you get CSBT? _____________________________________

        Mail To:                        Or Call:

        Nelson Ford                             Orders:  800-242-4775
        P.O.Box 35705                       FAX Orders:  713-524-6398
        Houston, TX                       Tech Support:  713-524-6394
          77235-5705                    CompuServe Orders:  71355,470

